## PYTHON FLASK SAVE & LOAD IMAGES IN DATABASE
https://code-boxx.com/store-retrieve-image-in-database-python-flask/

## NOTES
1) Run `unpack.bat` (Windows) `unpack.sh` (Linux/Mac). This will automatically:
   - Create a virtual environment - `virtualenv venv`
   - Activate the virtual environment - `venv\scripts\activate` (Windows) `venv/bin/activate` (Mac/Linux)
   - Install Flask `pip install flask werkzeug`
   - Create dummy database `python S1_create.py`
   - Launch HTTP server `python S3_server.py`
2) Test upload.
   - Open your browser, access `http://localhost`, and upload any dummy image.
   - Open `images.db`, verify the upload.
3) Test download.
   - Access `http://localhost/download?f=YOUR-IMAGE.JPG` to force download.
   - Access `http://localhost/show?f=YOUR-IMAGE.JPG` to display the image in the browser.

## LICENSE
Copyright by Code Boxx

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.