# (A) SQLITE & DATABASE FILE
import sqlite3
DB_FILE = "images.db"

# (B) SAVE INTO DATABASE
def save(name, mime, data):
  conn = sqlite3.connect(DB_FILE)
  cursor = conn.cursor()
  cursor.execute(
    "REPLACE INTO `images` (`file_name`, `file_mime`, `file_data`) VALUES (?,?,?)",
    (name, mime, data)
  )
  conn.commit()
  conn.close()

# (C) LOAD FROM DATABASE
def load(name):
  conn = sqlite3.connect(DB_FILE)
  cursor = conn.cursor()
  cursor.execute("SELECT * FROM `images` WHERE `file_name`=?", (name,))
  return cursor.fetchone()